Bug 248535 - [exp-run] Upgrade lang/pocl to 1.5
Summary: [exp-run] Upgrade lang/pocl to 1.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-08 09:50 UTC by O. Hartmann
Modified: 2020-12-06 20:36 UTC (History)
3 users (show)

See Also:


Attachments
Upgrade lang/pocl from 1.4 to 1.5. Standard LLVM is now LLVM-10 (1.91 KB, patch)
2020-08-08 09:50 UTC, O. Hartmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2020-08-08 09:50:52 UTC
Created attachment 217088 [details]
Upgrade lang/pocl from 1.4 to 1.5. Standard LLVM is now LLVM-10

POCL has been updated from 1.4 (relying on LLVM-9) to 1.5 (relying on LLVM-10).

This patch intends to update the port to match upstream.
Comment 1 Li-Wen Hsu freebsd_committer 2020-08-13 09:02:06 UTC
Does this really need a full exp-run? I don't see many ports depend on lang/pocl. Maybe a poudriere run of this port is fine?
Comment 2 Kyle Evans freebsd_committer 2020-09-24 15:09:05 UTC
(In reply to Li-Wen Hsu from comment #1)

Indeed, there are no reverse dependencies; an exp-run will not pick up any runtime breakage, unfortunately, and is thus not needed.

+BROKEN_FreeBSD_10=	pocl is not supported on 10.x
+

This can be omitted, FreeBSD 10.x is no longer supported
Comment 3 Lars Herschke 2020-10-09 22:24:56 UTC
The dependency on libltdl.so can also be removed. This is actually no longer necessary since version 1.4.
Comment 4 commit-hook freebsd_committer 2020-11-30 22:15:32 UTC
A commit references this bug:

Author: jbeich
Date: Mon Nov 30 22:14:47 UTC 2020
New revision: 556683
URL: https://svnweb.freebsd.org/changeset/ports/556683

Log:
  lang/pocl: update to 1.5

  - Drop libltdl dependency after r514525 [1], see
    https://github.com/pocl/pocl/commit/fe65a6d44144

  Changes:	http://portablecl.org/pocl-1.5.html
  PR:		248535
  Submitted by:	O. Hartmann (maintainer)
  Reviewed by:	kevans
  Submitted by:	Lars Herschke [1]

Changes:
  head/lang/pocl/Makefile
  head/lang/pocl/distinfo
  head/lang/pocl/pkg-plist
Comment 5 Lars Herschke 2020-12-06 20:36:06 UTC
I have made a patch available here. 
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=241482

The patch is still necessary in version 1.5. I also submitted the patch upstream and it has since been merged, but only after the 1.5 release.